
QGIS Application - Bug report #20897

Crash when update existing field using field calculator

2018-12-30 05:55 PM - muhammad Iqnaul Haq

Status: Closed

Priority: High

Assignee:

Category: Field calculator

Affected QGIS version:3.4.3 Regression?: No

Operating System: windows 10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28716

Description

User Feedback

Crash when updating existing field value using field calculator

Report Details

Crash ID: fd3a5ae4cdccb87871cb144723cea038b652c000

Stack Trace

QtPluginWidgetAdapter::~QtPluginWidgetAdapter :

WebCore::ImageDocument::imageElement :

WebCore::ImageDocument::imageElement :

WebCore::DocumentWriter::end :

QWebFrame::setUrl :

QgsExternalResourceWidget::loadDocument :

QMetaObject::activate :

QgsFileWidget::fileChanged :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::QgsFeatureListView :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-31 03:06 PM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Attribute table to Field calculator

- Status changed from Open to Feedback

Please:

try with a clean profile

if it does not help then attach the problematic vector as also indicate what column is to update and the expression used

#2 - 2018-12-31 03:10 PM - muhammad Iqnaul Haq

Giovanni Manghi wrote:

Please:

try with a clean profile

if it does not help then attach the problematic vector as also indicate what column is to update and the expression used

Tried with a new project yesterday, it looks like happened when updating field value as same as another existing field. But the issue is not regularly

happened, I have to wait several seconds first and then click OK button in field calculator.

#3 - 2018-12-31 04:05 PM - Giovanni Manghi
muhammad Iqnaul Haq wrote:

Giovanni Manghi wrote:

Please:

try with a clean profile

if it does not help then attach the problematic vector as also indicate what column is to update and the expression used

Tried with a new project yesterday, it looks like happened when updating field value as same as another existing field. But the issue is not regularly

happened, I have to wait several seconds first and then click OK button in field calculator.

please attach data and exact steps to replicate.

#4 - 2019-02-24 01:16 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
